package com.cf.imes.module.system.validation.token;


import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * @author token配置管理应用类型注解
 */
@Target({
        ElementType.FIELD,
        ElementType.PARAMETER,
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = {TokenConfigAppTypeEnumValidator.class}
)
public @interface TokenConfigAppTypeEnumValid {

    String message() default "应用类型错误，请检查";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
